## libcaldav 14.0.2

=== debian/changelog ===
libcaldav (4:14.0.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 25 Oct 2015 16:11:25 +0100

libcaldav (0.6.5-2debian2) maverick; urgency=low

  * Fixed RECURRENCE-ID modification with Zimbra CalDAV resources

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 28 Aug 2010 16:34:00 -0600

libcaldav (0.6.4-0debian0) lenny; urgency=low

  * Added VTODO support

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 27 Aug 2010 18:53:00 -0600

libcaldav (0.6.3-0debian1) lenny; urgency=low

  * Multiple VEVENT blocks in a single CardDAV response are now returned correctly

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 26 Aug 2010 15:40:00 -0600

libcaldav (0.6.2-0debian0) lenny; urgency=low

  * Added "Connection: close" to the list of headers sent, so that server keep-alive (which causes long delays) is disabled.

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 18 Jul 2010 15:29:00 -0600

libcaldav (0.6.1-1debian0) lenny; urgency=low

  * Initial Lenny build

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 31 May 2010 01:55:00 -0600
