=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# This has to be exported to make some magic below work.
export DH_OPTIONS

export CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O3
endif

# Suppress accidental execution of the auto-* tools, c.f.
# http://lists.debian.org/debian-devel/2001/debian-devel-200111/msg01416.html
no_auto_tools = ACLOCAL="`pwd`/missing aclocal" \
	AUTOCONF="`pwd`/missing autoconf" \
	AUTOMAKE="`pwd`/missing automake" \
	AUTOHEADER="`pwd`/missing autoheader"

make_flags = moduledir=/usr/lib/gdk-imlib2 $(no_auto_tools)

post-patches::
	dh_testdir

build: post-patches build-stamp
build-stamp:
	dh_testdir
	./autogen.sh
	./configure --prefix=/usr \
		--mandir=/usr/share/man
	$(MAKE) $(make_flags)

	touch build-stamp

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) $(make_flags) DESTDIR=`pwd`/debian/tmp install

	dh_movefiles

	# Library package
	dh_install -plibcaldav --autodest debian/tmp/usr/lib/libcaldav.so*

	# Developer package
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/lib/libcaldav.la
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/include/libcaldav/*
	dh_install -plibcaldav-dev --autodest debian/tmp/usr/lib/pkgconfig/*

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs -A debian/README.Debian
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_strip
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

# Build architecture independent packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependent packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
