## libcaldav 14.0.6

=== debian/changelog ===
libcaldav (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:10:16 +0100
