=== debian/control ===
Source: libcaldav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
Standards-Version: 3.8.3

Package: libcaldav
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}
Description: 
 libcaldav provides a C interface for caldav PIM clients

Package: libcaldav-dev
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: libcaldav (= ${binary:Version})
Description: 
 libcaldav provides a C interface for caldav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcaldav.
