=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
 Standards-Version: 3.8.3
 
 Package: libcaldav
