=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,12 @@
 	ls -d debian/* | \
 	grep -E "/libcaldav$(DEB_TIME64_SUFFIX)\." | \
 	xargs -r rm
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
+	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    debian/control
+else
 	[ ! -f debian/control.t64 ] || \
 	mv debian/control.t64 debian/control
 endif
