## libcaldav 14.1.5

=== src/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${GTHREAD_INCLUDE_DIRS}
  ${CURL_INCLUDE_DIRS}
)


set( _SRC caldav.c
          add-caldav-object.c
          delete-caldav-object.c
          modify-caldav-object.c
          get-caldav-report.c
          get-display-name.c
          caldav-utils.c
          caldav-utils.h md5.c
          options-caldav-server.c
          lock-caldav-object.c
          get-freebusy-report.c
)


##### caldav (shared)

tde_add_library( caldav SHARED

  SOURCES
        ${_SRC}
   LINK
      ${GTHREAD_LIBRARIES}
      ${CURL_LIBRARIES}
      
   VERSION 0.0.6

  DESTINATION ${LIB_INSTALL_DIR}
)


if( BUILD_CALDAV_TEST OR BUILD_UNITTEST )
##### caldav (static)

tde_add_library( caldav STATIC

  SOURCES
        ${_SRC}
   LINK
      ${GTHREAD_LIBRARIES}
      ${CURL_LIBRARIES}
)
endif()


#### pkg-config

set( prefix ${CMAKE_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_EXEC_PREFIX ${EXEC_INSTALL_PREFIX} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR} )
string( REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}" "\${prefix}" PC_LIB_DIR ${LIB_INSTALL_DIR} )

configure_file( ${CMAKE_PROJECT_NAME}.pc.cmake ${CMAKE_PROJECT_NAME}.pc @ONLY )

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_PROJECT_NAME}.pc
    DESTINATION ${PKGCONFIG_INSTALL_DIR}
)


##### header

install(
    FILES caldav.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)
