## libcaldav 14.1.6~pre0

=== debian/changelog ===
libcaldav (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 023b3918201379009d853df2abbba3f2f3a488cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
