## libcaldav 14.1.6~pre1

=== debian/changelog ===
libcaldav (4:14.1.6~pre1-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for a3ea1cd4bc73e55c1ddd54c3b40c1ae5d0fa968d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 05 Feb 2026 04:56:52 +0100

libcaldav (4:14.1.6~pre1-0) forky; urgency=low

  * Added SO version to binary package name.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 04 Feb 2026 21:41:51 +0100
