## libcaldav 14.1.6~pre2

=== debian/changelog ===
libcaldav (4:14.1.6~pre2-0ubuntu20.04.0+3) focal; urgency=low

  * Automated git build for 7a1aa500479837d8702dbe5955b65d62d25f38d0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Feb 2026 02:52:52 +0100
