=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
 ifeq ($(DEB_TIME64_API),true)
-DEB_TIME64_SUFFIX	= 0t64
+DEB_TIME64_SUFFIX	= t64
 else
 DEB_TIME64_SUFFIX	=
 endif
@@ -31,16 +31,17 @@
 ifeq ($(DEB_TIME64_API),true)
 	# update library package name for TIME64 ABI
 	ls -d debian/* | \
-	grep -E "/libcaldav\." | \
+	grep -E "/libcaldav0\." | \
 	grep -v "\.t64$$" | \
 	while read a; do \
 	    [ -d $$a ] || [ -f $$a.t64 ] || \
-	    (cp -a $$a debian/libcaldav$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
+	    (cp -a $$a debian/libcaldav0$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
 	done
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcaldav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcaldav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcaldav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 endif
 
@@ -56,12 +57,13 @@
 	    mv $$a $${a%.t64}; \
 	done
 	ls -d debian/* | \
-	grep -E "/libcaldav$(DEB_TIME64_SUFFIX)\." | \
+	grep -E "/libcaldav0$(DEB_TIME64_SUFFIX)\." | \
 	xargs -r rm
 	[ -f debian/control.t64 ] || \
 	sed -i.t64 \
-	    -e "s/^Package: \\(libcaldav\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)\\nReplaces: \\1\\nBreaks: \\1/" \
-	    -e "s/\\(libcaldav\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    -e "s/^Package: \\(libcaldav0\\)$$/Package: \\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libcaldav\\)$$/\\1: \\2, \\20/" \
+	    -e "s/\\(libcaldav0\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
 	    debian/control
 else
 	[ ! -f debian/control.t64 ] || \
