## libcaldav 14.2.0~pre3

=== debian/changelog ===
libcaldav (4:14.2.0~pre3-0ubuntu24.04.0+8) noble; urgency=low

  * Automated git build for 0897c58efc9c0f6aad2096be6a19dd42ff5ddf5f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200
