## libcaldav 14.2.0~pre4

=== debian/changelog ===
libcaldav (4:14.2.0~pre4-0ubuntu26.04.0+10~a) resolute; urgency=low

  * Automated git build for 9cd01a38dab9c629a1dc04a6f58c26edae414d5f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 18 Feb 2026 13:35:44 +0100
