=== debian/control ===
Source: libcaldav
Section: graphics
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, libcurl4-gnutls-dev (>= 7.19), libglib2.0-dev
Standards-Version: 3.8.3

Package: libcaldav0
Architecture: any
Multi-Arch: same
Section: libs
Conflicts: libcaldav
Provides: libcaldav
Replaces: libcaldav
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libcaldav - a caldav PIM clients library
 libcaldav provides a C interface for caldav PIM clients.

Package: libcaldav-dev
Architecture: any
Section: libdevel
Depends: libcaldav0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: libcaldav - a caldav PIM clients library
 libcaldav provides a C interface for caldav PIM clients
 .
 This is the development package containing header files and link
 libraries for libcaldav.
