## libcaldav 14.2.0~pre5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,16 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
 
 project( libcaldav )
-set( VERSION R14.0.9 )
 set( PACKAGE_VERSION 0.6.5 )
 
 
@@ -25,20 +28,14 @@
 include( CheckIncludeFile       )
 include( CheckLibraryExists     )
 include( CheckCSourceCompiles   )
-include( GNUInstallDirs OPTIONAL )
 
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
 
 
 ##### setup install paths
-
-if( CMAKE_INSTALL_LIBDIR )
-  tde_setup_install_path( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}" )
-endif( )
 
 include( TDESetupPaths )
 tde_setup_paths( )
