=== debian/changelog ===
libcaldav (4:14.2.0~pre5-0ubuntu25.04.0+11) plucky; urgency=low

  * Automated git build for 18d791970efcc6e64a57bac990b10d29cfc0e537
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libcaldav

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 26 Feb 2026 18:15:11 +0100
