=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Multi-Arch: same
 Section: libs
 Conflicts: libcaldav
-Provides: libcaldav
+Provides: libcaldav (= ${binary:Version})
 Replaces: libcaldav
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: libcaldav - a caldav PIM clients library
